Subject: Multiple issues with omap4 panda es in linux next

From: [email-masked] (Tony Lindgren)
Date: Tue, 23 Apr 2013 14:31:52 -0700

* Tony Lindgren <[email-masked]> [130423 10:28]:
> * Kishon Vijay Abraham I <[email-masked]> [130423 08:15]:
> > >>>2. MUSB fails with legacy booting and DT on panda es
> > >>>
> > >>>With both legacy and DT booting I get something like:
> > >>>
> > >>>HS USB OTG: no transceiver configured
> > >>>musb-hdrc musb-hdrc.0.auto: musb_init_controller failed with status -517
> > >>
> > >>The dt should work fine with https://patchwork.kernel.org/patch/2423061/.
> > >
> > >OK thanks for checking that.
> > >
> > >>But non-dt has got a real issue. We were using usb_bind_phy() for
> > >>binding the controller with the PHY (we use device names). But in
> > >>linux-next the device names have changed because of using
> > >>PLATFORM_DEVID_AUTO. We can modify the usb_bind_phy() calls to use
> > >>the new device names, But I suspect the device names can change
> > >>again. Not sure what we can do here :-(
> > >
> > >Let's do a minimal fix for v3.10. Then we'll make omap4 DT only for
> > >v3.11 and that problem is solved for good.
> > 
> > Have posted a patch https://patchwork.kernel.org/patch/2475521/ for
> > getting MUSB functional in omap4 panda.
> 
> OK thanks. Paul it seems that this patch is still queued in one of
> your branches?
> 
> Let me know if you want me to pick that one up for fixes for the
> merge window, or if you have multiple patches to pull.

Oops this I already have sitting in omap-for-v3.9-rc6/fixes.. Let's
see if that can still get merged. Looks like I forgot to send off
that one, sorry about that.

Regards,

Tony